import React from "react";
import { observer } from "mobx-react";
import s from './styles.module.scss';

interface JsonDetailsProps {
  object: any;
  onClick?: () => void;
}

const JsonDetails = observer(({ object }: JsonDetailsProps) => {
  return (
    <div className={s.item}>
      <pre>
        {object && typeof object === 'object' && JSON.stringify(object, null, 2)}
        {!object && 'Empty'}
      </pre>
    </div>
  );
});

export default JsonDetails;

