import React from "react";
import { observer } from "mobx-react";
import {SchemaRecordDto} from "@dashboard/api/agent-client";
import classNames from "classnames";
import {Space, Tag} from "antd";
import s from './styles.module.scss';
import RecordItem from "../RecordItem";

interface SchemaItemProps {
  item: SchemaRecordDto;
  onClick?: () => void;
}

const SchemaItem = observer(({ item, onClick }: SchemaItemProps) => {
  return (
    <RecordItem onClick={onClick} rawData={item}>
      <div className={s.prop}>
        Name: <b>{item.name}</b>
      </div>
      <div className={s.prop}>
        SchemaId: <b>{item.id}</b>
      </div>
      <div className={s.prop}>
        issuerId: <b>{item.issuerId}</b>
      </div>
      <div className={s.prop}>
        methodName: <b>{item.methodName}</b>
      </div>
      <div className={s.prop}>
        version: <b>{item.version}</b>
      </div>
      <div>
        Attributes: {item.attributes?.map(p => (
          <Tag color="green" key={p}>{p}</Tag>
      ))}
      </div>
    </RecordItem>
  );
});

export default SchemaItem;
