import React from "react";
import { Link } from "react-router-dom";
import config from "@dashboard/routes/config";
import s from "./styles.module.scss";

const Sidebar = () => {
  return (
    <div className={s.sidebar}>
      <div className={s.sidebarBar}/>
      <div className={s.title}>OCM engine UI</div>
      <Link className={s.link} to={config.connection_list.getLink()}>
        Connections
      </Link>
      <Link className={s.link} to={config.credential_list.getLink()}>
        Credentials
      </Link>
      <Link className={s.link} to={config.proof_list.getLink()}>
        Proof Requests
      </Link>
      <div className={s.subTitle}>Administration</div>
      <Link className={s.link} to={config.schema_list.getLink()}>
        Schemas
      </Link>
      <Link className={s.link} to={config.cred_def_list.getLink()}>
        Credential Definitions
      </Link>
      <Link className={s.link} to={config.vcmSelfIssue.getLink()}>
        VCM self-issued credentials
      </Link>
      <div className={s.space} />
      <Link
        className={s.logoutLink}
        to={config.welcome.getLink()}
      >
        Logout
      </Link>
    </div>
  );
};

export default Sidebar;
