import React from "react";
import { Link } from "react-router-dom";
import config from "@dashboard/routes/config";
import s from "./styles.module.scss";

interface Props {
  hideTry?: boolean;
}

const VaultHeader: React.FC<Props> = ({ hideTry }) => {
  return (
    <div className={s.root}>
      <div className={s.vault}>
        <div className={s.columns}>
          <div className={s.column}>
            <div className={s.title}>
              Organization Credential Manager (OCM)
            </div>
            <p className={s.ultraText}>
              An advanced solution for medium to large enterprises to manage and deploy Verifiable Credentials seamlessly.
            </p>
            <p className={s.specialText}>
              Whether you're looking for on-premises, cloud-based, or a SaaS model, OCM is ready to cater to your needs. Experience our user-friendly demo interface, and discover a robust backend that's deployment-ready for any use case.
            </p>
            {!hideTry && (
              <Link to={config.register.getLink()}>
                <div className={s.tryIt}>
                  Try it
                </div>
              </Link>
            )}
          </div>
          <div className={s.column}>
            <div>
              <img
                className={s.vaultImage}
                src="/assets/vault_image.png"
                alt="vault product"
              />
            </div>
          </div>
        </div>
      </div>
    </div>
  );
};

export default VaultHeader;
