import {useEffect, useState} from "react";

const LS_KEY = 'token';

const useAuth = () => {
  const [authorized, setAuthorized] = useState(false);
  const [loading, setLoading] = useState(true);

  useEffect(() => {
    localStorage.getItem(LS_KEY) && setAuthorized(true);
    setLoading(false);
  }, []);

  const setToken = (token: string | null) => {
    if (token) {
      localStorage.setItem(LS_KEY, token);
      setAuthorized(true);
    } else {
      localStorage.removeItem(LS_KEY);
      setAuthorized(false);
    }
  }

  return {
    authorized,
    loading,
    setToken
  }
};

export default useAuth;
