import * as ReactDOM from "react-dom/client";
import { BrowserRouter } from "react-router-dom";
import { ConfigProvider } from "antd";
import getConfig from "./utils/getConfig";
import App from "./components/App";

import api, { setConfig } from "./api";
import {AuthProvider} from "@dashboard/hooks/auth/Provider";

import "normalize.css";
import "react-toastify/dist/ReactToastify.css";
import "@fontsource/roboto";
import "@fontsource/roboto/500.css";
import "@fontsource/roboto/700.css";

const config = getConfig();

setConfig({
  websocketUrl: config.WS_GATEWAY,
  gatewayUrl: config.HTTP_GATEWAY,
  getToken: async () => "",
});

api.initialize();

// @ts-ignore
window.api = api;


const root = ReactDOM.createRoot(
  document.getElementById("root") as HTMLElement,
);
root.render(
  <BrowserRouter>
    <ConfigProvider
      theme={{
        token: {
          colorPrimary: "#06b4cb",
          fontFamily: "Roboto",
        }
      }}
    >
      <AuthProvider>
        <App />
      </AuthProvider>
    </ConfigProvider>
  </BrowserRouter>
);
