import ConnectionListPage from "./pages/ConnectionListPage";
import ConnectionCreatePage from "./pages/ConnectionCreatePage";
import ConnectionViewPage from "./pages/ConnectionViewPage";
import SchemaListPage from "./pages/SchemaListPage";
import CredentialDefListPage from "./pages/CredentialDefListPage";
import CredentialListPage from "./pages/CredentialListPage";
import ProofListPage from "./pages/ProofListPage";
import RegisterPage from "./pages/RegisterPage";
import WelcomePage from "./pages/WelcomePage";
import LoginPage from "./pages/LoginPage";
import VcmSelfIssuePage from "./pages/VcmSelfIssuePage";

const routes = {
  connection_create: {
    Component: ConnectionCreatePage,
    route: "/connections/create",
    getLink: () => "/connections/create",
    requireAuth: true
  },
  connection_list: {
    Component: ConnectionListPage,
    route: "/connections",
    getLink: () => "/connections",
    requireAuth: true
  },
  connection_view: {
    Component: ConnectionViewPage,
    route: "/connection/view/:id",
    getLink: (id: string) => `/connection/view/${id}`,
    requireAuth: true
  },
  schema_list: {
    Component: SchemaListPage,
    route: "/schema/list",
    getLink: () => "/schema/list",
    requireAuth: true
  },
  cred_def_list: {
    Component: CredentialDefListPage,
    route: "/cred-def/list",
    getLink: () => "/cred-def/list",
    requireAuth: true
  },
  credential_list: {
    Component: CredentialListPage,
    route: "/credential/list",
    getLink: () => "/credential/list",
    requireAuth: true
  },
  proof_list: {
    Component: ProofListPage,
    route: "/proof/list",
    getLink: () => "/proof/list",
    requireAuth: true
  },
  welcome: {
    Component: WelcomePage,
    route: "/",
    getLink: () => "/",
    requireAuth: false
  },
  register: {
    Component: RegisterPage,
    route: "/registration",
    getLink: () => "/registration",
    requireAuth: false
  },
  login: {
    Component: LoginPage,
    route: "/login",
    getLink: () => "/login",
    requireAuth: false
  },
  vcmSelfIssue: {
    Component: VcmSelfIssuePage,
    route: "/self-issued-creds-in-vcm",
    getLink: () => "/self-issued-creds-in-vcm",
    requireAuth: false
  },
};

export default routes;
