import {makeAutoObservable, runInAction} from "mobx";
import api from "@dashboard/api";
import {ConnectionRecordDto} from "@dashboard/api/agent-client";
import {toast} from "react-toastify";


class ConnectionListStore {
  public loading = false;
  public list: ConnectionRecordDto[] = [];
  constructor() {
    makeAutoObservable(this);
  }

  public async getAll() {
    runInAction(() => this.loading = true);
    try {
      const list = await api.connections();
      runInAction(() => {
        this.list = list;
        this.loading = false;
      });
    } catch (e: any) {
      console.error(e);
      toast.error(e.message);
      runInAction(() => this.loading = false);
    }
  }
}

export type { ConnectionListStore };

export default ConnectionListStore;
