import {makeAutoObservable, runInAction} from "mobx";
import api from "@dashboard/api";
import {toast} from "react-toastify";
import {CreddefRecordDto} from "@dashboard/api/agent-client";


class CredentialDefListPageStore {
  public loading = false;
  public list: CreddefRecordDto[] = [];
  constructor() {
    makeAutoObservable(this);
  }

  public async getAll() {
    runInAction(() => this.loading = true);
    try {
      const list = await api.credentialDefinitions();
      runInAction(() => {
        this.list = list;
        this.loading = false;
      });
    } catch (e: any) {
      console.error(e);
      toast.error(e.message);
      runInAction(() => this.loading = false);
    }
  }
}

export type { CredentialDefListPageStore };

export default CredentialDefListPageStore;
