import React from "react";
import {observer} from "mobx-react";
import ProofList from "@dashboard/components/ProofList";
import {Button, Space} from "antd";
import modalStore from "@dashboard/store/modalStore";
import PageWithSidebar from "@dashboard/components/PageWithSidebar";
import PageTitle from "@dashboard/components/PageTitle";

const ProofListPage = observer(() => {
  return (
    <PageWithSidebar>
      <h2>
        Actions
      </h2>
      <Space direction="horizontal">
        <Button
          onClick={() => {
            modalStore.openRequestProofDialog({
              connectionId: undefined,
              onProofRequestIssued: (proofRequest) => {
                modalStore.openViewConnectionlessProofRequest({
                  proofUrl: proofRequest.proofUrl!,
                  proofRecord: proofRequest.proofRecord
                })
              }
            })
          }}
        >
          Create connectionless proof request
        </Button>
        <Button
          onClick={() => {
            modalStore.openAcceptConnectionlessProofRequestDialog({
              onProofReceived: (proofRecord) => {
                window.location.reload();
              }
            })
          }}
        >
          Accept connectionless proof request
        </Button>
      </Space>
      <PageTitle>Proof Requests</PageTitle>
      <div>
        <ProofList connectionId={null} />
      </div>
    </PageWithSidebar>
  );
});

export default ProofListPage;
