import {makeAutoObservable, runInAction} from "mobx";
import api from "@dashboard/api";
import {toast} from "react-toastify";
import {SchemaRecordDto} from "@dashboard/api/agent-client";

class SchemaListPageStore {
  public loading = false;
  public list: SchemaRecordDto[] = [];
  constructor() {
    makeAutoObservable(this);
  }

  public async loadAll() {
    runInAction(() => this.loading = true);
    try {
      const schemas = await api.listSchema();
      runInAction(() => {
        this.list = schemas
        this.loading = false;
      });
    } catch (e: any) {
      toast.error(e.message);
      console.error(e);
      runInAction(() => this.loading = false);
    }
  }
}

export type { SchemaListPageStore };

export default SchemaListPageStore;
