import { Module, ValidationPipe } from "@nestjs/common";
import { ConfigModule } from "@nestjs/config";
import { LedgersModule } from "@ocm-engine/ledgers";
import { APP_PIPE } from "@nestjs/core";
import { AgentConsumerService } from "./agent.consumer.service";
import { AgentService } from "../askar/agent.service";
import { ConsumerService } from "@ocm-engine/nats";
import { GatewayClient } from "@ocm-engine/clients";
import { EventHandlerService } from "./event.handler.service";

@Module({
  imports: [ConfigModule, LedgersModule],
  providers: [
    ConsumerService,
    AgentConsumerService,
    AgentService,
    GatewayClient,
    EventHandlerService,
    {
      provide: APP_PIPE,
      useValue: new ValidationPipe({
        transform: true,
      }),
    },
  ],
  controllers: [],
})
export class AskarNatsModule {}
