import { ConfigService } from "@nestjs/config";
import { IConfAgent } from "@ocm-engine/config";
import { BasicStrategy as Strategy } from "passport-http";
import { PassportStrategy } from "@nestjs/passport";
import { Injectable, UnauthorizedException } from "@nestjs/common";

/**
 * Basic strategy is NOT currently used, it is left for the  time when we implement jwt auth for the rest of the routes
 */
@Injectable()
export class BasicStrategy extends PassportStrategy(Strategy, "basic") {
  constructor(private readonly configService: ConfigService) {
    super();
  }

  async validate(username: string, password: string): Promise<boolean> {
    console.log(username, password);
    const config: IConfAgent | undefined =
      this.configService.get<IConfAgent>("agent");

    if (
      config?.agentSVDXBasicUser === username &&
      config?.agentSVDXBasicPass === password
    ) {
      return true;
    }

    throw new UnauthorizedException();
  }
}
