import { registerAs } from "@nestjs/config";
import * as process from "process";
import { IConfAgent } from "../interfaces/agent.config.interface";

export const agentConfig = registerAs(
  "agent",
  (): IConfAgent => ({
    agentPeerPort: parseInt(process.env["AGENT_PEER_PORT"]!) || 8001,
    agentPeerAddress: process.env["AGENT_PEER_URL"]!,
    agentName: process.env["AGENT_NAME"]!,
    agentKey: process.env["AGENT_KEY"]!,
    agentDidSeed: process.env["AGENT_DID_SEED"]!,
    agentDbHost: process.env["AGENT_DB_HOST"]!,
    agentDbUser: process.env["AGENT_DB_USER"]!,
    agentDbPass: process.env["AGENT_DB_PASS"]!,
    agentIsRest: process.env["AGENT_IS_REST"] === "true",
    agentConsumerName: process.env["AGENT_CONSUMER_NAME"]!,
    agentConsumerMaxMessagess:
      parseInt(process.env["AGENT_MAX_MESSAGES"]!) || 10,
    agentConsumerRateLimit: parseInt(process.env["AGENT_RETE_LIMIT"]!) || 5,
    agentPort: parseInt(process.env["AGENT_PORT"]!),
    agentIsSVDX: process.env["AGENT_IS_SVDX"] === "true",
    agentSVDXSchemaId: process.env["AGENT_SVDX_SCHEMA_ID"]!,
    agentSVDXCredDefId: process.env["AGENT_SVDX_CRED_DEF_ID"]!,
    agentSVDXWebHook: process.env["AGENT_SVDX_WEBHOOK_URL"]!,
    agentSVDXBasicUser: process.env["AGENT_SVDX_BASIC_USER"]!,
    agentSVDXBasicPass: process.env["AGENT_SVDX_BASIC_PASS"]!,
  }),
);
