import { registerAs } from "@nestjs/config";
import process from "process";
import { IGateway } from "../interfaces/gateway.config.interface";

export const gatewayConfig = registerAs(
  "gateway",
  (): IGateway => ({
    httpPort: parseInt(process.env["GATEWAY_HTTP_PORT"]!),
    tcpPort: parseInt(process.env["GATEWAY_TCP_PORT"]!),
    messagePattern: process.env["GATEWAY_MESSAGE_PATTERN"]!,
    host: process.env["GATEWAY_HOST"],
  }),
);
