import {
  IsArray,
  IsNotEmpty,
  IsString,
  ValidateNested,
} from "class-validator";
import { Type } from "class-transformer";
import { IssueCredentialAttributes } from "../requests/issue.credential.request.dto";
import { BaseRecordDto } from "./base.record.dto";
import { CredentialState } from "@aries-framework/core";

export class CredentialRecordDto extends BaseRecordDto {
  @IsNotEmpty()
  @IsString()
  public state: CredentialState;

  @IsNotEmpty()
  @IsString()
  credentialRecordType: string;

  @IsString()
  connectionId?: string;

  @IsArray()
  @ValidateNested({ each: true })
  @Type(() => IssueCredentialAttributes)
  attributes?: Array<IssueCredentialAttributes>;
}
