using Microsoft.AspNetCore.Mvc;
using NSwag.Annotations;
using Tsa.Dto;

namespace Tsa.Controllers;

[Route("api/tsa")]
[ApiController]
[OpenApiTag("TsaController", Description = "")]
public class TsaController : ControllerBase
{
  private readonly AgentApi.AgentApi _agentApi;

  public TsaController()
  {
    _agentApi = new AgentApi.AgentApi(Envs.GatewayUrl, new HttpClient());
  }

  [OpenApiOperation("Login with VC", "Login with VC issued by OCM.")]
  [HttpPost("login-vc")]
  public async Task<LoginResultDto> SendRegisterRequest([FromBody] LoginCommandDto command) {

    var proof = await _agentApi.GetProofByIdAsync(command.ProofId);
    throw new NotImplementedException();
  }
}
