namespace Tsa;

public static class Envs {
  public static IEnumerable<string> Variables = new[] {
    "SCHEMA_ID",
    "GATEWAY_URL"
  };

  public static void Validate() {
    foreach (var envVariable in Variables) {
      if (String.IsNullOrEmpty(Environment.GetEnvironmentVariable(envVariable)))
        throw new Exception($"ENV '{envVariable}' is not defined");
    }
  }

  public static string SchemaId => Environment.GetEnvironmentVariable("SCHEMA_ID")!;
  public static string GatewayUrl => Environment.GetEnvironmentVariable("GATEWAY_URL")!;
}
