using DotNetEnv;
using Tsa;

Env.Load();
Env.TraversePath().Load();

Envs.Validate();

var builder = WebApplication.CreateBuilder(args);

builder.Services
  .AddControllers();
// Learn more about configuring Swagger/OpenAPI at https://aka.ms/aspnetcore/swashbuckle
builder.Services.AddEndpointsApiExplorer();
builder.Services.AddOpenApiDocument(); // add OpenAPI v3 document

builder.Services.AddControllers();

builder.Services.AddHealthChecks();

builder.Services.AddCors(options => {
  options.AddDefaultPolicy(
    builder => {
      builder.WithOrigins("*")
        .AllowAnyHeader()
        .AllowAnyMethod();
    });
});

var app = builder.Build();

app.UseCors();


if (app.Environment.IsDevelopment()) {
  app.UseOpenApi();

  app.UseReDoc(c => {
    c.Path = "/redoc";
    c.DocumentPath = "/swagger/v1/swagger.json";
  });
}

app.MapHealthChecks("/api/health");
app.MapControllers();

app.Run();
